Firmware missing on Eaon Ermine live install media

Bug #1847835 reported by Rob Thomas on 2019-10-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
livecd-rootfs (Ubuntu)
Critical
Unassigned
Bionic
Undecided
Unassigned

Bug Description

When trying to install 19.10 beta on a HP DL380 G7, the onboard NICs are not functional.

There is this error when booting, implying that firmware is required but not present:

Direct firmware load for bnx2/bnx2-mips-09-6.2.1b.fw failed with error -2

Related branches

Rob Thomas (xrobau) wrote :

Confirmed that this works as expected on the normal non-live ISO, this is a bug with the live builder.

Tom Reynolds (tomreyn) wrote :

eoan-live-server-amd64.iso daily 20191011 lacks the /lib/firmware path.
eoan-desktop-amd64.iso daily 20191011 has the /lib/firmware path as well as bnx2/bnx2-mips-09-6.2.1b.fw.

Rob Thomas: Could you confirm that you tested the live-server installer?

tags: added: amd64 eoan

Yes, this is the server install.

On Sat, 12 Oct 2019, 7:30 pm Tom Reynolds, <email address hidden>
wrote:

> eoan-live-server-amd64.iso daily 20191011 lacks the /lib/firmware path.
> eoan-desktop-amd64.iso daily 20191011 has the /lib/firmware path as
> well as bnx2/bnx2-mips-09-6.2.1b.fw.
>
> Rob Thomas: Could you confirm that you tested the live-server installer?
>
> ** Tags added: amd64 eoan
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1847835
>
> Title:
> Firmware missing on Eaon Ermine live install media
>
> Status in live-build package in Ubuntu:
> New
>
> Bug description:
> When trying to install 19.10 beta on a HP DL380 G7, the onboard NICs
> are not functional.
>
> There is this error when booting, implying that firmware is required
> but not present:
>
> Direct firmware load for bnx2/bnx2-mips-09-6.2.1b.fw failed with error
> -2
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/live-build/+bug/1847835/+subscriptions
>

Steve Langasek (vorlon) on 2019-10-12
affects: live-build (Ubuntu) → livecd-rootfs (Ubuntu)
Changed in livecd-rootfs (Ubuntu):
importance: Undecided → Critical
milestone: none → ubuntu-19.10
Rob Thomas (xrobau) wrote :

The other issue I found - https://bugs.launchpad.net/ubuntu/+source/curtin/+bug/1847834 - means that the server 'Live' media is not usable anyway, as you can not create a mirrored root with it.

I have a sneaking suspicion that a lot of testing was done on VMs and almost none was done on real hardware 8-\

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.619

---------------
livecd-rootfs (2.619) eoan; urgency=medium

  * Subiquity: install linux-firmware in the installer layer, to make
    firmware blobs available in the live session. LP: #1847835

 -- Dimitri John Ledkov <email address hidden> Sun, 13 Oct 2019 20:53:11 +0100

Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released

Hello Rob, or anyone else affected,

Accepted livecd-rootfs into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/livecd-rootfs/2.525.45 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in livecd-rootfs (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.525.45

---------------
livecd-rootfs (2.525.45) bionic; urgency=medium

  [ Francis Ginther ]
  * Use the linux-raspi-hwe-18.04 kernel for raspi3 classic image builds.
    (LP: #1889188)

  [ Michael Hudson-Doyle ]
  * Backport snap seeding and other fixes for live-server ISOs. (LP: #1883156)
  * Stop building and mounting the mass-rack and maas-region squashfses for
    the server-live build as subiquity does not use them any more.

  [ Dimitri John Ledkov ]
  * Run snap info on the downloaded snap, rather than against the
    store. First of all snap info doesn't have --channel argument, thus
    queries the wrong channel, and depening on the cohort, a different
    snap might be visible too. Thus seed the base of the snap revision we
    dowanloaded, rather than some random one from the store.
  * Use snap-tool to seed subiquity snap.
  * Subiquity: install linux-firmware in the installer layer, to make
    firmware blobs available in the live session. LP: #1847835

  [ Robert C Jennings ]
  * Fix logic to ensure snapd is seeded in core18-only images (LP: #1871919)

 -- Michael Hudson-Doyle <email address hidden> Wed, 22 Jul 2020 14:44:38 +1200

Changed in livecd-rootfs (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers